package net.wanji.common.annotation.aspect;


import net.wanji.common.enums.BaseEnum;

import java.lang.annotation.*;

/**
 * @author duanruiming
 * @date 2023/02/27 9:13
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface AspectLog {

    /**
     * 业务操作描述
     */
    String description() default "";

    /**
     * 操作类型 query create modify delete
     * @return
     */
    BaseEnum.OperationTypeEnum operationType();
}
